import sys
import random
import math

def get_t_u(n_1):
	t = 0
	u = n_1
	while u % 2 == 0:
		u = u / 2
		t += 1
	return t, u

def witness(a, n):
	t, u = get_t_u(n - 1)
	x = []
	x.append(pow(a, u, n))
	for i in range(1, t + 1):
		x.append(pow(x[i-1], 2) % n)
		if x[i] == 1 and x[i-1] != 1 and x[i-1] != n-1:
			return True
	if x[t] != 1:
		return True
	return False

def miller_rabin(n, s):
	if n == 1:
		return 1
	for j in xrange(s):
		a = random.randint(1, n - 1)
		if witness(a, n):
			return False
	return True


def main():
	if len(sys.argv) == 3:
		n = int(sys.argv[1])
		s = int(sys.argv[2])
		bin_num = "1" + "0" * (n-1)
		while len(bin_num) == n:
			test_num = int(bin_num, 2)
			if miller_rabin(test_num, s):
				print(bin(test_num)[2:])
				bin_num += "0"
				continue
			test_num += 1
			bin_num = bin(test_num)[2:]
	else:
		print("Error! Incorrect argument list.")

main()